Bug 1443401 (CVE-2017-7471)

Summary: CVE-2017-7471 Qemu: 9p: virtfs allows guest to change filesystem attributes on host
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: ailan, amit, apevec, areis, berrange, cfergeau, chrisw, cvsbot-xmlrpc, ddepaula, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, robinlee.sysu, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:10:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1443403, 1525813    
Bug Blocks: 1442934    

Description Prasad J Pandit 2017-04-19 07:59:46 UTC
Quick Emulator(Qemu) built with the VirtFS, host directory sharing via Plan 9
File System(9pfs) support, is vulnerable to an improper access control issue.
It could occur while accessing files on a shared host directory.

A privileged user inside guest could use this flaw to access host file system
beyond the shared folder and potentially escalating their privileges on a host.

Upstream patches:
-----------------
  -> http://git.qemu-project.org/?p=qemu.git;a=commitdiff;h=9c6b899f7a46893ab3b671e341a2234e9c0c060e

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/04/19/2

Comment 1 Prasad J Pandit 2017-04-19 08:00:42 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1443403]